Subject: bug#9631: path in .la start with '='

From: Peter Kruse <[email-masked]>
Date: Thu, 29 Sep 2011 13:03:48 +0200

Hello,

The recently[1] added function `func_replace_sysroot' adds an '=' to a
given path.
But this path is then added to $dependency_libs in the .la file like this:

dependency_libs=' -L=/usr/lib'

resulting in errors like:

libtool: link: warning: cannot determine absolute directory name of `=/usr/lib'

what is the reasoning for this equal sign?  I have configured some
recent versions
of some software packages that use this libtool (pcre, glib) with
--with-sysroot and my PATH indeed starts with that directory.

regards,

  Peter

[1] http://permalink.gmane.org/gmane.comp.gnu.libtool.patches/10141

ps: I'm not subscribed to this list, it would be nice if you could cc
me on replies